all: kilo editor editor1

kilo: kilo.c
#	echo "building the C version"
	$(CC) kilo.c -o kilo -Wall -Wextra -pedantic -std=c99

editor: editor.mod VT100.o SplitV1.o
#	echo "building the Modula-2 version"
	gm2 -fiso -o editor SplitV1.o VT100.o editor.mod

editor1: editor1.mod VT100.o SplitV1.o
	gm2 -fiso -o editor1 SplitV1.o VT100.o editor1.mod

SplitV1.o:
	gm2 -fiso -c SplitV1.mod

VT100.o:
	gm2 -fiso -c VT100.mod